Skip to content

Import selected local geoBoundaries gbOpen features into an existing or new geo zone set.

POST
/api/workspace/admin/geo-boundary-catalog/import
curl --request POST \
--url https://example.com/api/workspace/admin/geo-boundary-catalog/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "DatasetKey": "example", "FeatureIds": [ "example" ], "TargetZoneSetId": "example", "NewZoneSet": { "Name": "example", "Key": "example", "Description": "example", "Enabled": true, "ConflictMode": 0, "SortOrder": 1 }, "ChangeReason": "example" }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload for importing selected local administrative-boundary features.

object
DatasetKey
string
nullable
FeatureIds
Array<string>
nullable
TargetZoneSetId
string
nullable
NewZoneSet

Request payload for creating a geo zone set.

object
Name
string
nullable
Key
string
nullable
Description
string
nullable
Enabled
boolean
ConflictMode
integer format: int32
Allowed values: 0 1 2 3
SortOrder
integer format: int32
ChangeReason
string
nullable

OK

Media typeapplication/json
object
Data

Result payload for an administrative-boundary catalog import.

object
GeoZoneSetId
string
nullable
DatasetKey
string
nullable
ImportedCount
integer format: int32
Zones
Array<object>
nullable

Imported geo zone produced from one local administrative-boundary feature.

object
GeoZoneId
string
nullable
Name
string
nullable
Key
string
nullable
FeatureId
string
nullable
ProviderBoundaryId
string
nullable
GeometryRevisionNumber
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Result payload for an administrative-boundary catalog import.

object
GeoZoneSetId
string
nullable
DatasetKey
string
nullable
ImportedCount
integer format: int32
Zones
Array<object>
nullable

Imported geo zone produced from one local administrative-boundary feature.

object
GeoZoneId
string
nullable
Name
string
nullable
Key
string
nullable
FeatureId
string
nullable
ProviderBoundaryId
string
nullable
GeometryRevisionNumber
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Result payload for an administrative-boundary catalog import.

object
GeoZoneSetId
string
nullable
DatasetKey
string
nullable
ImportedCount
integer format: int32
Zones
Array<object>
nullable

Imported geo zone produced from one local administrative-boundary feature.

object
GeoZoneId
string
nullable
Name
string
nullable
Key
string
nullable
FeatureId
string
nullable
ProviderBoundaryId
string
nullable
GeometryRevisionNumber
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}